/*===========================================================================*/
/*   (Module/alibrary.scm)                                                   */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Module/alibrary.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzexpand_srfizd20zd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
static obj_t BGl_methodzd2initzd2zzmodule_alibraryz00();
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_EXPORTED_DECL obj_t BGl_usezd2libraryz12zc0zzmodule_alibraryz00(obj_t, obj_t);
BGL_IMPORT obj_t string_to_symbol(char *);
BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_alibraryzd2producerzd2zzmodule_alibraryz00(obj_t);
extern BgL_ccompz00_bglt BGl_makezd2ccompzd2zzmodule_modulez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2libraryzd2namez00zzmodule_alibraryz00(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
extern obj_t BGl_setupzd2libraryzd2valuesz00zzinit_setrcz00(obj_t);
BGL_IMPORT obj_t BGl_memvz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t string_to_bstring(char *);
static obj_t BGl_zc3anonymousza31098ze3z83zzmodule_alibraryz00(obj_t, obj_t, obj_t);
static obj_t BGl__usezd2libraryz12zc0zzmodule_alibraryz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31099ze3z83zzmodule_alibraryz00(obj_t);
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00;
static obj_t BGl__alibraryzd2producerzd2zzmodule_alibraryz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzmodule_alibraryz00();
static obj_t BGl__makezd2libraryzd2namez00zzmodule_alibraryz00(obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_alibraryz00();
extern obj_t BGl_za2additionalzd2bigloozd2librariesza2z00zzengine_paramz00;
static obj_t BGl_requirezd2initializa7ationz75zzmodule_alibraryz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_alibraryz00();
static obj_t BGl__makezd2alibraryzd2compilerz00zzmodule_alibraryz00(obj_t);
BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzmodule_alibraryz00();
BGL_EXPORTED_DECL obj_t BGl_makezd2alibraryzd2compilerz00zzmodule_alibraryz00();
extern obj_t BGl_addzd2supportedzd2srfiz12z12zzexpand_srfizd20zd2(obj_t);
static obj_t __cnst[ 4 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_makezd2alibraryzd2compilerzd2envzd2zzmodule_alibraryz00, BgL_bgl__makeza7d2alibraryza7d2compilerza700za7za7module_alibraryza7001206z00, BGl__makezd2alibraryzd2compilerz00zzmodule_alibraryz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_usezd2libraryz12zd2envz12zzmodule_alibraryz00, BgL_bgl__useza7d2libraryza712za7c0za7za7module_alibraryza7001207z00, BGl__usezd2libraryz12zc0zzmodule_alibraryz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_alibraryzd2producerzd2envz00zzmodule_alibraryz00, BgL_bgl__alibraryza7d2producerza7d2za7za7module_alibraryza7001208za7, BGl__alibraryzd2producerzd2zzmodule_alibraryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2libraryzd2namezd2envzd2zzmodule_alibraryz00, BgL_bgl__makeza7d2libraryza7d2nameza700za7za7module_alibraryza7001209z00, BGl__makezd2libraryzd2namez00zzmodule_alibraryz00, 0L, 1 );
DEFINE_STRING( BGl_string1179z00zzmodule_alibraryz00, BgL_bgl_string1179za700za7za7module_alibraryza7001210z00, "void library now (jvm .net) ", 28 );
DEFINE_STRING( BGl_string1178z00zzmodule_alibraryz00, BgL_bgl_string1178za700za7za7module_alibraryza7001211z00, "Illegal library", 15 );
DEFINE_STRING( BGl_string1177z00zzmodule_alibraryz00, BgL_bgl_string1177za700za7za7module_alibraryza7001212z00, "Library name must be downcase", 29 );
DEFINE_STRING( BGl_string1176z00zzmodule_alibraryz00, BgL_bgl_string1176za700za7za7module_alibraryza7001213z00, "Illegal `library' clause", 24 );
DEFINE_STRING( BGl_string1175z00zzmodule_alibraryz00, BgL_bgl_string1175za700za7za7module_alibraryza7001214z00, "Parse error", 11 );
DEFINE_STATIC_PROCEDURE( BGl_proc1173z00zzmodule_alibraryz00, BgL_bgl_za7c3anonymousza7a31099za7e3za783za7za7module_alibraryza7001215za7, BGl_zc3anonymousza31099ze3z83zzmodule_alibraryz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc1174z00zzmodule_alibraryz00, BgL_bgl_za7c3anonymousza7a31098za7e3za783za7za7module_alibraryza7001216za7, BGl_zc3anonymousza31098ze3z83zzmodule_alibraryz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long BgL_checksumz00_137, char * BgL_fromz00_138)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_alibraryz00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_alibraryz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_alibraryz00(); 
BGl_cnstzd2initzd2zzmodule_alibraryz00(); 
BGl_importedzd2moduleszd2initz00zzmodule_alibraryz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_alibraryz00()
{ AN_OBJECT;
{ /* ./Module/alibrary.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "module_alibrary"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_alibrary"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "module_alibrary"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_alibraryz00()
{ AN_OBJECT;
{ /* ./Module/alibrary.scm 15 */
{ /* ./Module/alibrary.scm 15 */
obj_t BgL_cportz00_128;
BgL_cportz00_128 = 
open_input_string(BGl_string1179z00zzmodule_alibraryz00); 
{ 
long BgL_iz00_129;
BgL_iz00_129 = ((long)3); 
BgL_loopz00_130:
{ /* ./Module/alibrary.scm 15 */
bool_t BgL_test1181z00_131;
BgL_test1181z00_131 = 
(BgL_iz00_129==((long)-1)); 
if(BgL_test1181z00_131)
{ /* ./Module/alibrary.scm 15 */
return BUNSPEC;}  else 
{ /* ./Module/alibrary.scm 15 */
{ /* ./Module/alibrary.scm 15 */
obj_t BgL_arg1183z00_132;
{ /* ./Module/alibrary.scm 15 */
obj_t BgL_list1186z00_133;
BgL_list1186z00_133 = 
MAKE_PAIR(BgL_cportz00_128, BNIL); 
BgL_arg1183z00_132 = 
BGl_readz00zz__readerz00(BgL_list1186z00_133); } 
{ /* ./Module/alibrary.scm 15 */
int BgL_auxz00_153;
BgL_auxz00_153 = 
(int)(BgL_iz00_129); 
CNST_TABLE_SET(BgL_auxz00_153, BgL_arg1183z00_132); } } 
{ /* ./Module/alibrary.scm 15 */
int BgL_auxz00_134;
{ /* ./Module/alibrary.scm 15 */
long BgL_auxz00_156;
BgL_auxz00_156 = 
(BgL_iz00_129-((long)1)); 
BgL_auxz00_134 = 
(int)(BgL_auxz00_156); } 
{ 
long BgL_iz00_159;
BgL_iz00_159 = 
(long)(BgL_auxz00_134); 
BgL_iz00_129 = BgL_iz00_159; 
goto BgL_loopz00_130;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzmodule_alibraryz00()
{ AN_OBJECT;
{ /* ./Module/alibrary.scm 15 */
return BUNSPEC;} 
}



/* use-library! */
BGL_EXPORTED_DEF obj_t BGl_usezd2libraryz12zc0zzmodule_alibraryz00(obj_t BgL_libraryz00_19, obj_t BgL_modez00_20)
{ AN_OBJECT;
{ /* ./Module/alibrary.scm 29 */
{ /* ./Module/alibrary.scm 30 */
obj_t BgL_libzd2namezd2_43;
BgL_libzd2namezd2_43 = 
BGl_makezd2libraryzd2namez00zzmodule_alibraryz00(BgL_libraryz00_19); 
{ /* ./Module/alibrary.scm 31 */
bool_t BgL_test1062z00_44;
{ /* ./Module/alibrary.scm 31 */
obj_t BgL_auxz00_162;
BgL_auxz00_162 = 
BGl_memberz00zz__r4_pairs_and_lists_6_3z00(BgL_libzd2namezd2_43, BGl_za2additionalzd2bigloozd2librariesza2z00zzengine_paramz00); 
BgL_test1062z00_44 = 
CBOOL(BgL_auxz00_162); } 
if(BgL_test1062z00_44)
{ /* ./Module/alibrary.scm 31 */
return BFALSE;}  else 
{ /* ./Module/alibrary.scm 31 */
BGl_za2additionalzd2bigloozd2librariesza2z00zzengine_paramz00 = 
MAKE_PAIR(BgL_libzd2namezd2_43, BGl_za2additionalzd2bigloozd2librariesza2z00zzengine_paramz00); 
{ /* ./Module/alibrary.scm 35 */
obj_t BgL_heapzd2namezd2_45;
{ /* ./Module/alibrary.scm 36 */
char * BgL_arg1084z00_50;
{ /* ./Module/alibrary.scm 36 */
obj_t BgL_casezd2valuezd2_51;
BgL_casezd2valuezd2_51 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
{ /* ./Module/alibrary.scm 36 */
bool_t BgL_testz00_167;
{ /* ./Module/alibrary.scm 36 */
obj_t BgL_auxz00_168;
BgL_auxz00_168 = 
BGl_memvz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_51, 
CNST_TABLE_REF(((long)0))); 
BgL_testz00_167 = 
CBOOL(BgL_auxz00_168); } 
if(BgL_testz00_167)
{ /* ./Module/alibrary.scm 36 */
BgL_arg1084z00_50 = ".jheap"; }  else 
{ /* ./Module/alibrary.scm 36 */
BgL_arg1084z00_50 = ".heap"; } } } 
{ /* ./Module/alibrary.scm 35 */
obj_t BgL_auxz00_172;
BgL_auxz00_172 = 
string_to_bstring(BgL_arg1084z00_50); 
BgL_heapzd2namezd2_45 = 
string_append(BgL_libzd2namezd2_43, BgL_auxz00_172); } } 
{ /* ./Module/alibrary.scm 39 */
obj_t BgL_arg1065z00_46;
{ /* ./Module/alibrary.scm 39 */
obj_t BgL_arg1068z00_47;
BgL_arg1068z00_47 = 
BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(BgL_libzd2namezd2_43); 
{ /* ./Module/alibrary.scm 39 */
char * BgL_auxz00_176;
BgL_auxz00_176 = 
BSTRING_TO_STRING(BgL_arg1068z00_47); 
BgL_arg1065z00_46 = 
string_to_symbol(BgL_auxz00_176); } } 
BGl_addzd2supportedzd2srfiz12z12zzexpand_srfizd20zd2(BgL_arg1065z00_46); } 
{ /* ./Module/alibrary.scm 40 */
obj_t BgL_arg1075z00_48;
{ /* ./Module/alibrary.scm 40 */
char * BgL_auxz00_180;
BgL_auxz00_180 = 
BSTRING_TO_STRING(BgL_libzd2namezd2_43); 
BgL_arg1075z00_48 = 
string_to_symbol(BgL_auxz00_180); } 
BGl_addzd2supportedzd2srfiz12z12zzexpand_srfizd20zd2(BgL_arg1075z00_48); } 
{ /* ./Module/alibrary.scm 46 */
bool_t BgL_test1078z00_49;
{ /* ./Module/alibrary.scm 46 */
obj_t BgL_auxz00_184;
BgL_auxz00_184 = 
CNST_TABLE_REF(((long)1)); 
BgL_test1078z00_49 = 
(BgL_modez00_20==BgL_auxz00_184); } 
if(BgL_test1078z00_49)
{ /* ./Module/alibrary.scm 46 */
BGl_setupzd2libraryzd2valuesz00zzinit_setrcz00(BgL_libzd2namezd2_43); }  else 
{ /* ./Module/alibrary.scm 46 */BFALSE; } } 
BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00 = 
MAKE_PAIR(BgL_heapzd2namezd2_45, BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00); 
return BgL_libzd2namezd2_43;} } } } } 
}



/* _use-library! */
obj_t BGl__usezd2libraryz12zc0zzmodule_alibraryz00(obj_t BgL_envz00_113, obj_t BgL_libraryz00_114, obj_t BgL_modez00_115)
{ AN_OBJECT;
{ /* ./Module/alibrary.scm 29 */
return 
BGl_usezd2libraryz12zc0zzmodule_alibraryz00(BgL_libraryz00_114, BgL_modez00_115);} 
}



/* make-alibrary-compiler */
BGL_EXPORTED_DEF obj_t BGl_makezd2alibraryzd2compilerz00zzmodule_alibraryz00()
{ AN_OBJECT;
{ /* ./Module/alibrary.scm 54 */
{ /* ./Module/alibrary.scm 56 */
obj_t BgL_arg1091z00_53;obj_t BgL_arg1092z00_54;
BgL_arg1091z00_53 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg1092z00_54 = BGl_alibraryzd2producerzd2envz00zzmodule_alibraryz00; 
{ /* ./Module/alibrary.scm 55 */
BgL_ccompz00_bglt BgL_auxz00_192;
BgL_auxz00_192 = 
BGl_makezd2ccompzd2zzmodule_modulez00(BgL_arg1091z00_53, BgL_arg1092z00_54, BGl_proc1174z00zzmodule_alibraryz00, BGl_proc1173z00zzmodule_alibraryz00); 
return 
(obj_t)(BgL_auxz00_192);} } } 
}



/* _make-alibrary-compiler */
obj_t BGl__makezd2alibraryzd2compilerz00zzmodule_alibraryz00(obj_t BgL_envz00_118)
{ AN_OBJECT;
{ /* ./Module/alibrary.scm 54 */
return 
BGl_makezd2alibraryzd2compilerz00zzmodule_alibraryz00();} 
}



/* <anonymous:1099> */
obj_t BGl_zc3anonymousza31099ze3z83zzmodule_alibraryz00(obj_t BgL_envz00_119)
{ AN_OBJECT;
{ /* ./Module/module.scm 50 */
{ 

return 
CNST_TABLE_REF(((long)3));} } 
}



/* <anonymous:1098> */
obj_t BGl_zc3anonymousza31098ze3z83zzmodule_alibraryz00(obj_t BgL_envz00_120, obj_t BgL_mz00_121, obj_t BgL_cz00_122)
{ AN_OBJECT;
{ /* ./Module/module.scm 48 */
return BNIL;} 
}



/* alibrary-producer */
obj_t BGl_alibraryzd2producerzd2zzmodule_alibraryz00(obj_t BgL_clausez00_21)
{ AN_OBJECT;
{ /* ./Module/alibrary.scm 62 */
{ 
obj_t BgL_protosz00_63;
{ /* ./Module/alibrary.scm 63 */
bool_t BgL_test1100z00_67;
BgL_test1100z00_67 = 
PAIRP(BgL_clausez00_21); 
if(BgL_test1100z00_67)
{ /* ./Module/alibrary.scm 63 */
obj_t BgL_arg1102z00_68;
BgL_arg1102z00_68 = 
CDR(BgL_clausez00_21); 
BgL_protosz00_63 = BgL_arg1102z00_68; 
{ 
obj_t BgL_l1024z00_69;
BgL_l1024z00_69 = BgL_protosz00_63; 
BgL_forzd2each1025zd2_70:
{ /* ./Module/alibrary.scm 65 */
bool_t BgL_test1108z00_71;
BgL_test1108z00_71 = 
PAIRP(BgL_l1024z00_69); 
if(BgL_test1108z00_71)
{ /* ./Module/alibrary.scm 65 */
{ /* ./Module/alibrary.scm 65 */
obj_t BgL_xz00_72;
BgL_xz00_72 = 
CAR(BgL_l1024z00_69); 
BGl_usezd2libraryz12zc0zzmodule_alibraryz00(BgL_xz00_72, 
CNST_TABLE_REF(((long)1))); } 
{ /* ./Module/alibrary.scm 65 */
obj_t BgL_arg1112z00_73;
BgL_arg1112z00_73 = 
CDR(BgL_l1024z00_69); 
{ 
obj_t BgL_l1024z00_206;
BgL_l1024z00_206 = BgL_arg1112z00_73; 
BgL_l1024z00_69 = BgL_l1024z00_206; 
goto BgL_forzd2each1025zd2_70;} } }  else 
{ /* ./Module/alibrary.scm 65 */((bool_t)1); } } } 
return BNIL;}  else 
{ /* ./Module/alibrary.scm 63 */
{ /* ./Module/alibrary.scm 68 */
obj_t BgL_list1117z00_74;
BgL_list1117z00_74 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1175z00zzmodule_alibraryz00, BGl_string1176z00zzmodule_alibraryz00, BgL_clausez00_21, BgL_list1117z00_74);} } } } } 
}



/* _alibrary-producer */
obj_t BGl__alibraryzd2producerzd2zzmodule_alibraryz00(obj_t BgL_envz00_123, obj_t BgL_clausez00_124)
{ AN_OBJECT;
{ /* ./Module/alibrary.scm 62 */
return 
BGl_alibraryzd2producerzd2zzmodule_alibraryz00(BgL_clausez00_124);} 
}



/* make-library-name */
BGL_EXPORTED_DEF obj_t BGl_makezd2libraryzd2namez00zzmodule_alibraryz00(obj_t BgL_libnamez00_22)
{ AN_OBJECT;
{ /* ./Module/alibrary.scm 73 */
{ /* ./Module/alibrary.scm 75 */
bool_t BgL_test1119z00_75;
BgL_test1119z00_75 = 
SYMBOLP(BgL_libnamez00_22); 
if(BgL_test1119z00_75)
{ /* ./Module/alibrary.scm 75 */
{ /* ./Module/alibrary.scm 76 */
obj_t BgL_arg1121z00_76;
BgL_arg1121z00_76 = 
SYMBOL_TO_STRING(BgL_libnamez00_22); 
return 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1121z00_76);} }  else 
{ /* ./Module/alibrary.scm 77 */
bool_t BgL_test1125z00_77;
BgL_test1125z00_77 = 
STRINGP(BgL_libnamez00_22); 
if(BgL_test1125z00_77)
{ /* ./Module/alibrary.scm 77 */
{ /* ./Module/alibrary.scm 78 */
obj_t BgL_newzd2namezd2_78;
BgL_newzd2namezd2_78 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_libnamez00_22); 
{ /* ./Module/alibrary.scm 79 */
bool_t BgL_test1126z00_79;
BgL_test1126z00_79 = 
bigloo_strcmp(BgL_newzd2namezd2_78, BgL_libnamez00_22); 
if(BgL_test1126z00_79)
{ /* ./Module/alibrary.scm 79 */
return BgL_newzd2namezd2_78;}  else 
{ /* ./Module/alibrary.scm 80 */
obj_t BgL_list1128z00_80;
BgL_list1128z00_80 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1175z00zzmodule_alibraryz00, BGl_string1177z00zzmodule_alibraryz00, BgL_libnamez00_22, BgL_list1128z00_80);} } } }  else 
{ /* ./Module/alibrary.scm 77 */
{ /* ./Module/alibrary.scm 85 */
obj_t BgL_list1133z00_81;
BgL_list1133z00_81 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1175z00zzmodule_alibraryz00, BGl_string1178z00zzmodule_alibraryz00, BgL_libnamez00_22, BgL_list1133z00_81);} } } } } 
}



/* _make-library-name */
obj_t BGl__makezd2libraryzd2namez00zzmodule_alibraryz00(obj_t BgL_envz00_125, obj_t BgL_libnamez00_126)
{ AN_OBJECT;
{ /* ./Module/alibrary.scm 73 */
return 
BGl_makezd2libraryzd2namez00zzmodule_alibraryz00(BgL_libnamez00_126);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_alibraryz00()
{ AN_OBJECT;
{ /* ./Module/alibrary.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_alibraryz00()
{ AN_OBJECT;
{ /* ./Module/alibrary.scm 15 */
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "module_alibrary"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "module_alibrary"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "module_alibrary"); 
BGl_modulezd2initializa7ationz75zzexpand_srfizd20zd2(((long)38705), "module_alibrary"); 
return 
BGl_modulezd2initializa7ationz75zzinit_setrcz00(((long)1658), "module_alibrary");} 
}

